org.apache.cassandra.hadoop

## Class AbstractColumnFamilyInputFormat<K,Y>

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputFormat<K,Y>
  - - org.apache.cassandra.hadoop.AbstractColumnFamilyInputFormat<K,Y>

All Implemented Interfaces:
  org.apache.hadoop.mapred.InputFormat<K,Y>

Direct Known Subclasses:
  ColumnFamilyInputFormat, CqlInputFormat

    public abstract class AbstractColumnFamilyInputFormat<K,Y>
    extends org.apache.hadoop.mapreduce.InputFormat<K,Y>
    implements org.apache.hadoop.mapred.InputFormat<K,Y>

### Field Summary

Fields
`static java.lang.String` `CASSANDRA_HADOOP_MAX_KEY_SIZE`
`static int` `CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT`
`static java.lang.String` `MAPRED_TASK_ID`

### Constructor Summary

Constructors
Constructor and Description
`AbstractColumnFamilyInputFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.mapred.InputSplit[]` `getSplits(org.apache.hadoop.mapred.JobConf jobConf, int numSplits)`
`java.util.List<org.apache.hadoop.mapreduce.InputSplit>` `getSplits(org.apache.hadoop.mapreduce.JobContext context)`
`protected void` `validateConfiguration(org.apache.hadoop.conf.Configuration conf)`

### Methods inherited from class org.apache.hadoop.mapreduce.InputFormat

`createRecordReader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.hadoop.mapred.InputFormat

`getRecordReader`

### Field Detail

#### MAPRED_TASK_ID

    public static final java.lang.String MAPRED_TASK_ID

See Also:
  Constant Field Values

#### CASSANDRA_HADOOP_MAX_KEY_SIZE

    public static final java.lang.String CASSANDRA_HADOOP_MAX_KEY_SIZE

See Also:
  Constant Field Values

#### CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT

    public static final int CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractColumnFamilyInputFormat

    public AbstractColumnFamilyInputFormat()

### Method Detail

#### validateConfiguration

    protected void validateConfiguration(org.apache.hadoop.conf.Configuration conf)

#### getSplits

    public java.util.List<org.apache.hadoop.mapreduce.InputSplit> getSplits(org.apache.hadoop.mapreduce.JobContext context)
                                                                     throws java.io.IOException

Specified by:
  `getSplits` in class `org.apache.hadoop.mapreduce.InputFormat<K,Y>`
Throws:
  `java.io.IOException`

#### getSplits

    public org.apache.hadoop.mapred.InputSplit[] getSplits(org.apache.hadoop.mapred.JobConf jobConf,
                                                           int numSplits)
                                                    throws java.io.IOException

Specified by:
  `getSplits` in interface `org.apache.hadoop.mapred.InputFormat<K,Y>`
Throws:
  `java.io.IOException`